Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.xml
Class XMLParser2

    java.lang.Object
      org.apache.commons.jxpath.xml.XMLParser2

All Implemented Interfaces:
  XMLParser

Direct Known Subclasses:
  DocumentContainer, DOMParser, JDOMParser

    public abstract class XMLParser2

extends Object
implements XMLParser

The abstract superclass of XML parsers that produce DOM Documents. The features have the same defaults as `DocumentBuilderFactory`.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`XMLParser2()`

Method Summary
`boolean` | `isCoalescing()` Learn whether the underlying parser is coalescing.
`boolean` | `isExpandEntityReferences()` Learn whether the underlying parser expands entity references.
`boolean` | `isIgnoringComments()` Learn whether the underlying parser ignores comments.
`boolean` | `isIgnoringElementContentWhitespace()` Learn whether the underlying parser is ignoring whitespace.
`boolean` | `isNamespaceAware()` Learn whether the underlying parser is ns-aware.
`boolean` | `isValidating()` Learn whether the underlying parser is validating.
`abstract Object` | `parseXML(InputStream stream)` Reads the supplied XML file and returns the resulting model, which is not necessarily DOM.
`void` | `setCoalescing(boolean coalescing)` Set whether the underlying parser is coalescing.
`void` | `setExpandEntityReferences(boolean expandEntityRef)` Set whether the underlying parser expands entity references.
`void` | `setIgnoringComments(boolean ignoreComments)` Set whether the underlying parser ignores comments.
`void` | `setIgnoringElementContentWhitespace(boolean whitespace)` Set whether the underlying parser is ignoring whitespace.
`void` | `setNamespaceAware(boolean namespaceAware)` Set whether the underlying parser is ns-aware.
`void` | `setValidating(boolean validating)` Set whether the underlying parser should be validating.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLParser2

    public XMLParser2()

Method Detail

### setValidating

    public void setValidating(boolean validating)

  Set whether the underlying parser should be validating.

  Parameters:
    `validating` - flag
  See Also:
    `DocumentBuilderFactory.setValidating(boolean)`

### isValidating

    public boolean isValidating()

  Learn whether the underlying parser is validating.

  Returns:
    boolean
  See Also:
    `DocumentBuilderFactory.isValidating()`

### isNamespaceAware

    public boolean isNamespaceAware()

  Learn whether the underlying parser is ns-aware.

  Returns:
    boolean
  See Also:
    `DocumentBuilderFactory.isNamespaceAware()`

### setNamespaceAware

    public void setNamespaceAware(boolean namespaceAware)

  Set whether the underlying parser is ns-aware.

  Parameters:
    `namespaceAware` - flag
  See Also:
    `DocumentBuilderFactory.setNamespaceAware(boolean)`

### setIgnoringElementContentWhitespace

    public void setIgnoringElementContentWhitespace(boolean whitespace)

  Set whether the underlying parser is ignoring whitespace.

  Parameters:
    `whitespace` - flag
  See Also:
    `DocumentBuilderFactory.setIgnoringElementContentWhitespace(boolean)`

### isIgnoringElementContentWhitespace

    public boolean isIgnoringElementContentWhitespace()

  Learn whether the underlying parser is ignoring whitespace.

  Returns:
    boolean
  See Also:
    `DocumentBuilderFactory.isIgnoringElementContentWhitespace()`

### isExpandEntityReferences

    public boolean isExpandEntityReferences()

  Learn whether the underlying parser expands entity references.

  Returns:
    boolean
  See Also:
    `DocumentBuilderFactory.isExpandEntityReferences()`

### setExpandEntityReferences

    public void setExpandEntityReferences(boolean expandEntityRef)

  Set whether the underlying parser expands entity references.

  Parameters:
    `expandEntityRef` - flag
  See Also:
    `DocumentBuilderFactory.setExpandEntityReferences(boolean)`

### isIgnoringComments

    public boolean isIgnoringComments()

  Learn whether the underlying parser ignores comments.

  Returns:
    boolean
  See Also:
    `DocumentBuilderFactory.isIgnoringComments()`

### setIgnoringComments

    public void setIgnoringComments(boolean ignoreComments)

  Set whether the underlying parser ignores comments.

  Parameters:
    `ignoreComments` - flag
  See Also:
    `DocumentBuilderFactory.setIgnoringComments(boolean)`

### isCoalescing

    public boolean isCoalescing()

  Learn whether the underlying parser is coalescing.

  Returns:
    boolean
  See Also:
    `DocumentBuilderFactory.isCoalescing()`

### setCoalescing

    public void setCoalescing(boolean coalescing)

  Set whether the underlying parser is coalescing.

  Parameters:
    `coalescing` - flag
  See Also:
    `DocumentBuilderFactory.setCoalescing(boolean)`

### parseXML

    public abstract Object parseXML(InputStream stream)

  Description copied from interface: `XMLParser`
  Reads the supplied XML file and returns the resulting model, which is not necessarily DOM.

  Specified by:
    `parseXML` in interface `XMLParser`
  Parameters:
    `stream` - InputStream
  Returns:
    Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.